#include "messages.h"

void fits_spec_init(char *filehead, int filetype, int Nrows, fitsfile **fptr);

void fits_spec_write_lines(fitsfile *fptr, double T, double n_e, int nlines, 
  double lambda[], double lambda_err[], double epsilon[], double epsilon_err[],
  int el_Z[], int rmJ[], int UpperLev[], int LowerLev[]);

void fits_spec_write_continuum(fitsfile *fptr, double T, double n_e,
  int nbin, double Ebin_low[], double Ebin_high[],
  double pseudo[], double pseudo_err[], double brems[], double brems_err[],
  double twoph[], double twoph_err[], double radrec[], double radrec_err[]);

void fits_spec_write_coco(fitsfile *fptr, int N_Z, int list_Z[],int list_rmJ[],
  double T, double Ne, int nbin,  double E_low[], double E_high[], 
  double pseu_arr[], double cont_arr[]);

void fits_spec_close(fitsfile *fptr);
