#include "apec.h"  /* Needed for "BLOWUP" definition */

void assume_recomb_rates(double pop0, double pop1, double qion,
			 double *qrecomb, double *ionc) {
  if (pop1 > 0.) {
    *qrecomb = qion * pop0/pop1;
  } else {
    *qrecomb = qion * pop0*BLOWUP;
  }

  if (pop0 > 0.) {
    *ionc = pop1/pop0;
  } else {
    *ionc = pop1*BLOWUP;
  }
}

