PRO zero_ecoll, Z, rmJ, outfile
;
;  Zeroing issues:
;

if (n_elements(Z) ne 1) then begin
    print,'Z is required, and can have only 1 value'
    return
end


read_ecoll, Z, rmJ, data, header
;
;  Now remove the Effective Collision Strength values
;
for i=0,n_elements(data)-1 do $
  for j=0,n_elements(data(i).coeff_om)-1 do data(i).coeff_om(j) = !values.f_nan

write_ecoll, outfile, Z, rmJ, data, COMMENTS=header, NANVALUE=!values.f_nan

return
end
