// @(#)root/pyroot:$Name:  $:$Id: ClassMethodHolder.cxx,v 1.1.1.1 2007/04/12 18:29:34 peachey Exp $
// Author: Wim Lavrijsen, Aug 2004

// Bindings
#include "PyROOT.h"
#include "ClassMethodHolder.h"


//- constructor -----------------------------------------------------------------
PyROOT::ClassMethodHolder::ClassMethodHolder( TClass* klass, TMethod* method ) :
      MethodHolder( klass, method )
{
}


//- public members --------------------------------------------------------------
PyObject* PyROOT::ClassMethodHolder::operator()( ObjectProxy*, PyObject* args, PyObject* )
{
// setup as necessary
   if ( ! Initialize() )
      return 0;                              // important: 0, not Py_None

// translate the arguments
   if ( ! SetMethodArgs( args ) )
      return 0;                              // important: 0, not Py_None

// execute function
   return Execute( 0 );
}
